Skip to main content
Connect

Get pending LinkedIn account choices for headless mode

Use only when starting LinkedIn OAuth with headless=true and the callback redirects to your redirectUri with status=selection_required and selectionToken. Returns the personal profile and organization pages available for the user to choose from.

GET/v1/connect/linkedin/selection/{token}

Path Parameters

token*string
Length1 <= length

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/connect/linkedin/selection/string"
{
  "success": true,
  "platform": "linkedin",
  "expiresInSeconds": 0,
  "accounts": [
    {
      "id": "string",
      "type": "person",
      "platformUserId": "string",
      "displayName": "string",
      "username": "string",
      "imageUrl": "http://example.com"
    }
  ]
}
{
  "error": "string"
}